package com.ruoyi.ibs.grid.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ibs.grid.domain.dto.CustManageInfo;
import com.ruoyi.ibs.grid.domain.dto.GridCustListDTO;
import com.ruoyi.ibs.grid.domain.entity.VirtualCustUser;
import com.ruoyi.ibs.grid.domain.vo.VirtualGridCustVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/9/18
 **/

public interface VirtualCustUserMapper extends BaseMapper<VirtualCustUser> {

    /**
     * 查询虚拟网格所有客户列表信息
     *
     * @param custManageInfo 企业客户基本信息
     * @return 客户基本信息集合
     */
    public List<CustManageInfo> selectVirtualCustInfoByManage(CustManageInfo custManageInfo);

    List<VirtualGridCustVO> getCustList(GridCustListDTO gridCustListDTO);

    List<VirtualGridCustVO> getUnrelateCustList(GridCustListDTO gridCustListDTO);

    List<VirtualGridCustVO> getCustListByManager(GridCustListDTO gridCustListDTO);

    Long getCountByGridIdAndUserName(@Param("gridId") Long gridId, @Param("custType") String custType, @Param("userName") String userName);

    List<VirtualCustUser> selectVirtualCustUserList(VirtualCustUser virtualCustUser);



}
